Subject: Re: [RESEND PATCH] For machine check occurring while in guest, KVM layer tries recovery

From: Paul Mackerras <[email-masked]>
Date: Mon, 23 Mar 2015 14:32:21 +1100

On Tue, Mar 17, 2015 at 02:57:48PM +0530, Mahesh J Salgaonkar wrote:
> From: Mahesh Salgaonkar <[email-masked]>
> 
> and deliver MCE to guest if recovery is failed. For recovered errors
> we just go back to normal functioning of guest. But there are cases
> where we may hit MCE in guest with MSR(RI=0), which means MCE interrupt is
> not recoverable and guest can not function normally it should go down to
> panic path. The current implementation does not have check for MSR(RI=0)
> which can cause guest to crash with Bad kernel stack pointer instead of
> machine check oops message.
> 
> [26281.490060] Bad kernel stack pointer 3fff9ccce5b0 at c00000000000490c
> [26281.490434] Oops: Bad kernel stack pointer, sig: 6 [#1]
> [26281.490472] SMP NR_CPUS=2048 NUMA pSeries
> 
> This patch fixes this issue by checking MSR(RI=0) in KVM layer and forwarding
> unrecoverable interrupt to guest which then panics with proper machine check
> Oops message.
> 
> Signed-off-by: Mahesh Salgaonkar <[email-masked]>
> ---
>  arch/powerpc/kvm/book3s_hv_rmhandlers.S |   12 ++++++++----
>  1 file changed, 8 insertions(+), 4 deletions(-)

The patch itself is fine, but you need a proper headline (something
like "KVM: PPC: Book3S HV: Inform guest of unrecoverable machine
checks" perhaps) as the subject of the email, and you need to post the
patch to both the [email-masked] list and the
[email-masked] list.  Also, the English in the patch
description could use some improvement.

Acked-by: Paul Mackerras <[email-masked]>